<!DOCTYPE html>
<html>
<head>
    <title>CalculadoraClases</title>
    <link rel="stylesheet" href="estilo.css">
    <script src="programa.js"></script>
</head>
<body>
    <form>
        <input type="text" class="texto" id="n1" onfocusout="miAritmetico.sNumero1=this.value;miCalculador.sNumero1=this.value">
        <input type="text" class="texto" id="n2" onfocusout="miAritmetico.sNumero2=this.value;miCalculador.sNumero2=this.value"><br>
        <input type="button" class="boton" value="+" onclick="miAritmetico.sumar()">
        <input type="button" class="boton" value="-" onclick="miAritmetico.restar()">
        <input type="button" class="boton" value="%" onclick="miAritmetico.modular()"><br>
        <input type="button" class="boton" value="x^y" onclick="miCalculador.potenciar()">
        <input type="button" class="boton" value="log(x)" onclick="miCalculador.logaritmo(miCalculador.numero1)">
        <input type="button" class="boton" value="log (y)" onclick="miCalculador.logaritmo(miCalculador.numero2)"><br>
        <input type="text" class="texto" id="resultado">
    </form>
</body>
<script>
    
</script>
</html>

